qemu-block
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Qemu-block] [PATCH for-2.10 5/7] qemu-iotests/162: Fix leaked temporary


From: Kevin Wolf
Subject: [Qemu-block] [PATCH for-2.10 5/7] qemu-iotests/162: Fix leaked temporary files
Date: Fri, 28 Jul 2017 15:14:50 +0200

qemu-iotests 162 left qemu-nbd.pid behind in the scratch directory, and
potentially a file called '42' in the current directory. Make sure to
clean it up after completing the tests.

Signed-off-by: Kevin Wolf <address@hidden>
---
 tests/qemu-iotests/162 | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/tests/qemu-iotests/162 b/tests/qemu-iotests/162
index cad2bd70ab..477a806360 100755
--- a/tests/qemu-iotests/162
+++ b/tests/qemu-iotests/162
@@ -28,6 +28,13 @@ echo "QA output created by $seq"
 here="$PWD"
 status=1       # failure is the default!
 
+_cleanup()
+{
+    rm -f "${TEST_DIR}/qemu-nbd.pid"
+    rm -f 42
+}
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
 # get standard environment, filters and checks
 . ./common.rc
 . ./common.filter
-- 
2.13.3




reply via email to

[Prev in Thread] Current Thread [Next in Thread]